Bug 7321 - Silence warns in Koha.pm
Summary: Silence warns in Koha.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-05 20:38 UTC by Katrin Fischer
Modified: 2013-12-05 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7321: Silence some warns in Koha.pm (1.15 KB, patch)
2011-12-05 20:54 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7321: Silence some warns in Koha.pm (1.20 KB, patch)
2011-12-13 08:51 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-12-05 20:38:31 UTC
When testing bug 7013 I noticed a lot of warns in the koha error log. The patch is silencing them.

To test:
Add or edit an authorised value and check your log files before and after applying the patch.
Comment 1 Katrin Fischer 2011-12-05 20:54:04 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-12-13 08:51:11 UTC
Created attachment 6740 [details] [review]
Bug 7321: Silence some warns in Koha.pm

While testing bug 7013 I noticed a lot of warns in the koha error log.
This patch is silencing them.

To test:
Add or edit an authorised value and check your log files before and after
applying the patch.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Marcel de Rooy 2011-12-15 14:36:18 UTC
Passed QA
Comment 4 Paul Poulain 2011-12-15 15:54:55 UTC
QA comment

not en ENH but a minor bug fix. Removes 2 unconditionnal warn, passed QA

patch pushed, please test
Comment 5 Jared Camins-Esakov 2012-05-23 12:00:41 UTC
Included in 3.6 prior to 3.6.5.